﻿<%@ Import Namespace="Seven.Management" %>
<%@ Import Namespace="Seven.Management.Globals" %>
<%@ Import Namespace="Seven.Management.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Empresas.aspx.cs" Inherits="Seven.Management.Empresas" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
        { %>

    <title><%=L.TIT("Empresa") %> <%--[2.1]--%></title>

    <script type="text/javascript">

    <% 

/* 
 * 
 * Índice de Código 
 * 
 * JQ01 - Grid 
 * 
 * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
 * JS_DOC       - Funciones Javascript en Document.Ready()
 * 
 * DLG_VAR      - Diálogos Varios
 * 
 * TIT - Título
 * 
 * HH  - Hidden Hive - Almacen de datos en campos ocultos
 * 
 * B01 - Cuandro Información Principal
 * B02 - Formulario Principal OH
 * B03 - Zona Informativa 
 * 
 */

    %>

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* JQ01 */%>

        <% /* Código del jqGrid para Empresas */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetEMP() {
            $.ajax({
                url: 'Servicio.svc/GetEmpresas',
                data: {
                    "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando2').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando2').dialog('close');
                    try {

                        datos = JSON.parse(json.d);

                        $('#txtid_entidad').val(0);
                        $('#txtnombre').val(datos.rows[0].cell[1]);
                        $('#txtdireccion1').val(datos.rows[0].cell[2]);
                        $('#txttelefonos').val(datos.rows[0].cell[3]);
                        $('#txtfax').val(datos.rows[0].cell[4]);
                        $('#txte_mail').val(datos.rows[0].cell[5]);
                        $('#txtfecha_entidad').val(datos.rows[0].cell[6]);
                        $('#txtlogo').val(datos.rows[0].cell[7]);
                        $('#txtjuego_activo').val(datos.rows[0].cell[8]);
                        $('#txtcedula').val(datos.rows[0].cell[9]);

                        BotonDefaultEMP();
                        InitializeComponentsEMP();
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }

                    //console.log(json.d);
                    //console.log(datos);
                    //console.log(datos.rows[0].cell[1]);
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutEMP(id, nombre, logo, direccion1, telefonos, fax, e_mail, fecha_entidad, juego_activo, cedula) {
            $.ajax({
                url: 'Servicio.svc/PutEmpresas',
                data: {
                    "id_entidad": id, "nombre": nombre, "logo": logo, "direccion1": direccion1, "telefonos": telefonos, "fax": fax,
                    "e_mail": e_mail, "fecha_entidad": fecha_entidad, "juego_activo": juego_activo, "cedula": cedula
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    BotonDefaultEMP();
                    //RefreshGridEMP();

                }
            });
        }

        function InitializeComponentsEMP() {

            //Initialize Components

            $("#txtnombre").on('input', function () { BotonGuardarEMP(); });
            $("#txtlogo").on('input', function () { BotonGuardarEMP(); });
            $("#txtdireccion1").on('input', function () { BotonGuardarEMP(); });
            $("#txttelefonos").on('input', function () { BotonGuardarEMP(); });
            $("#txtfax").on('input', function () { BotonGuardarEMP(); });
            $("#txte_mail").on('input', function () { BotonGuardarEMP(); });
            $("#txtfecha_entidad").on('change', function () { BotonGuardarEMP(); });
            $("#txtjuego_activo").on('change', function () { BotonGuardarEMP(); });
            $('#txtcedula').on('change', function () { BotonGuardarEMP(); });
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveEMP() {
            var id = 0;
            PutEMP(id, $('#txtnombre').val(), $('#txtlogo').val(), $('#txtdireccion1').val(), $('#txttelefonos').val(), $('#txtfax').val(),
                        $('#txte_mail').val(), $('#txtfecha_entidad').val(), $('#txtjuego_activo').val(), $('#txtcedula').val());
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelEMP() {
            GetEMP();
        }

        function BotonDefaultEMP() {
            $('#btnGuardarEMP').button('disable');
            $('#btnCancelarEMP').button('disable');
        }

        function BotonGuardarEMP() {
            $('#btnGuardarEMP').button('enable');
            $('#btnCancelarEMP').button('enable');
        }

        <% /* JS_FUN_BASE */%>

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=205&e=' + $('#cbEliminado:checked').val(), '_blank');
        }


    </script>

    <script type="text/javascript">

        <% /* JS_DOC */%>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            GetEMP();

            $("#SevenMenu").accordion("option", "active", 1);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');
        });
    </script>

    <% }
        catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
        { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.open('Menu.aspx#M2', '_top');" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="../img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="Empresas.aspx"><%=L.TIT("Empresa") %> <%--[2.1]--%></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 400px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <% /* TIT */%>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("Empresa") %> <%--[2.1]--%></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%-- <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                       <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/2-1-operaciones-sobre-folios/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="HabFEData">
                    </div>
                </div>

                <br />

                <input type="hidden" id="IdSubElementEMP" value="0" />
                <table id="jqgEMP" hidden="hidden"></table>

                <fieldset>

                    <table>
                        <%--Campos de Texto Formularios--%>
                        <tr>
                            <td>
                                <%=L.LBL("LblMANEMPCedulaJurídica") %>:
                            </td>
                            <td>
                                 <input type="text" id="txtcedula" name="txtcedula" style="width: 342px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENName") %>:
                            </td>
                            <td>
                                <input type="text" id="txtnombre" name="txtnombre" style="width: 342px;" autofocus="autofocus" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENDireccion") %>:
                            </td>
                            <td>
                                <%--<input type="text" id="txtdireccion1" name="txtdireccion1" value="0" size="30"/>--%>
                                <textarea rows="4" cols="41" id="txtdireccion1" name="txtdireccion1"></textarea>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENTelefono") %>:
                            </td>
                            <td>
                                <input type="text" id="txttelefonos" name="txttelefonos" style="width: 342px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENFax") %>:
                            </td>
                            <td>
                                <input type="text" id="txtfax" name="txtfax" style="width: 342px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENEmail") %>:
                            </td>
                            <td>
                                <input type="text" id="txte_mail" name="txte_mail" style="width: 342px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENDate") %>:
                            </td>
                            <td>
                                <input type="text" id="txtfecha_entidad" class="eligeFecha" name="txtfecha_entidad" style="width: 75px;" />
                            </td>
                        </tr>

                    </table>

                </fieldset>

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>

                                    <td>
                                        <button type="button" id="btnGuardarEMP" onclick="SaveEMP();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENSave") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarEMP" onclick="CancelEMP();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                    <td><%=L.LBL("LblGENCancel") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
        catch { } %>
</asp:Content>

