﻿<%@ Import Namespace="Seven.Management" %>
<%@ Import Namespace="Seven.Management.Globals" %>
<%@ Import Namespace="Seven.Management.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Monedas.aspx.cs" Inherits="Seven.Management.Monedas" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("Monedas") %> <%--[2.1]--%></title>

    <script type="text/javascript">

    <% 
        
       /* 
        * 
        * Índice de Código 
        * 
        * JQ01 - Grid Monedas
        * 
        * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
        * JS_DOC       - Funciones Javascript en Document.Ready()
        * 
        * DLG_VAR      - Diálogos Varios
        * 
        * TIT - Título
        * 
        * HH  - Hidden Hive - Almacen de datos en campos ocultos
        * 
        * B01 - Cuandro Información Principal
        * B02 - Formulario Principal OH
        * B03 - Zona Informativa 
        * 
        */
        
    %>

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* JQ01 */%>

               <% /* Código del jqGrid para Monedas */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetMON() {
            $.ajax({
                url: 'Servicio.svc/GetMonedas',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try
                    {
                        $("#jqgMON").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                        var thegrid = $("#jqgMON")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgMON").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutMON(id, cod_mone, desc_mone, tasa, comision, decimales, convertible, facturable, fecha_ult, refer_mone, eli) {
            $.ajax({
                url: 'Servicio.svc/PutMonedas',
                data: {
                    "id_mone": id, "cod_mone": cod_mone, "desc_mone": desc_mone, "tasa": tasa, "comision": comision, "decimales": decimales,
                    "convertible": convertible, "facturable": facturable, "fecha_ult": fecha_ult, "refer_mone": refer_mone, "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando2').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando2').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(eli == 1){
                            $('#IdSubElementMON').val(0);
                            BotonDefaultMON();
                            RefreshGridMON();
                        }
                        else
                        {
                            if(id > 0 || id < 0){
                                BotonDefaultMON();
                                RefreshGridMON();
                            }
                            else
                            {
                                $('#IdSubElementMON').val(res);
                                BotonDefaultMON();
                                RefreshGridMON();
                            }
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridMON() {
        
            var lselMON;
            var colMap = {};
            $("#jqgMON").jqGrid({
                datatype: 'local',
                height: 255,
                width: 700,
                colNames: ['', '<%=L.LBL("LblGENCod") %>', '<%=L.LBL("LblGENDescription") %>', '<%=L.LBL("LblGENRate") %>', '<%=L.LBL("LblGENCom") %>'
                    , '<%=L.LBL("LblGENDec") %>', '<%=L.LBL("LblGENConv") %>', '<%=L.LBL("LblGENFact") %>', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'cod_mone', index: 'cod_mone', width: 5, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'desc_mone', index: 'desc_mone', width: 20, editable: true, searchoptions:{sopt:ListFindT} }, 
                            {
                                name: 'tasa', index: 'tasa', width: 10, editable: true, searchoptions: { sopt: ListFindN },
                                editoptions: {
                                    dataEvents: [{
                                        type: 'keypress', fn: function (e)
                                        {
                                            var key = e.charCode || e.keyCode;
                                            var separador = '<%= Convert.ToChar(System.Globalization.CultureInfo.CurrentCulture.NumberFormat.NumberDecimalSeparator) %>';

                                            if (separador == ",") {
                                                separador = 44;
                                            }
                                            if (separador == ".") {
                                                separador = 46;
                                            }

                                            if ((key < 48 || key > 57) && key != separador)
                                            { return false; }
                                        }
                                    }]
                                }
                            },
                            {
                                name: 'comision', index: 'comision', width: 5, editable: true, searchoptions: { sopt: ListFindN },
                                editoptions: {
                                    dataEvents: [{
                                        type: 'keypress', fn: function (e)
                                        {
                                            var key = e.charCode || e.keyCode;
                                            var separador = '<%= Convert.ToChar(System.Globalization.CultureInfo.CurrentCulture.NumberFormat.NumberDecimalSeparator) %>';

                                            if (separador == ",") {
                                                separador = 44;
                                            }
                                            if (separador == ".") {
                                                separador = 46;
                                            }

                                            if ((key < 48 || key > 57) && key != separador)
                                            { return false; }
                                        }
                                    }]
                                }
                            },
                             //<input type="number" name="edad" min="1" max="99" value="1">
                            {
                                name: 'decimales', index: 'decimales', id: "decimales", width: 5, editable: true,searchoptions: { sopt: ListFindN },
                                editoptions: {
                                    dataEvents: [
                                        {
                                            type: 'keypress',
                                            fn: function (e) {
                                                var key = e.charCode || e.keyCode; // to support all browsers
                                                //if ((key < 48 || key > 57) && key !== 46 && key !== 44 && key !== 8 && key !== 37 && key !== 39) { return false; }
                                                if (key < 48 || key > 57) { return false; }
                                            }// cierra la funcion e
                                        }// cierra el control del keypress
                                    ]// cierra dataEvents
                                }// cierra editoptions
                            },
                            {
                                name: 'convertible', index: 'convertible', width: 5, editable: true,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                formatoptions: { disabled: true }, align: 'center'
                            },
                            {
                                name: 'facturable', index: 'facturable', width: 5, editable: true,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                formatoptions: { disabled: true }, align: 'center'
                            }, 
                            { name: 'fecha_ult', index: 'fecha_ult', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'refer_mone', index: 'refer_mone', width: 1, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, editable: true, hidden: true, searchoptions: { sopt: ListFindN } }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselMON) && !isNaN(id))
                        {
                            $("#jqgMON").jqGrid('delRowData', lselMON);
                            //$('#jqgMON').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            $('#jqgMON').jqGrid('saveRow', id);
                            
                            var ret = jQuery("#jqgMON").jqGrid('getRowData',id); 

                            $('#jqgMON').jqGrid('restoreRow',lselMON);

                            $('#IdSubElementMON').val(ret.Id);
                        }
                        else
                        {
                            BotonNuevoMON();
                        }

                        $('#jqgMON').jqGrid('editRow', id, true, EventsMON);
                       
                        lselMON=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselMON))
                        {
                            $("#jqgMON").jqGrid('delRowData', lselMON);
                            $('#jqgMON').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgMON').jqGrid('saveRow',lselMON);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgMON').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgMON").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextMON').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconMON').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextMON').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconMON').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgMON').jqGrid('setSelection', id); 

                        BotonSelectMON();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgMON").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        if(i == 0 && parseInt($('#IdSubElementMON').val()) == 0)
                        {
                            //$('#IdSubElementMON').val($("#jqgMON").getCell(rows[i],"Id"));
                        }
                        var status  = $("#jqgMON").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgMON").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#jqgMON').jqGrid('setSelection', $('#IdSubElementMON').val());
                    if(parseInt($('#IdSubElementMON').val()) != 0)
                    {
                        BotonSelectMON();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl:"Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgMON").jqGrid('navGrid','#PaginadorMonedas',{del:false,add:false,edit:false,search:false});
            $("#bsdataMonedas").click(function(){ 
                jQuery("#jqgMON").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsMON(id) {
            $("#" + id + "_cod_mone").prop("disabled", true).on('input', function () { BotonGuardarMON(); });
            $("#" + id + "_desc_mone").on('input', function () { BotonGuardarMON(); });
            $("#" + id + "_tasa").on('input', function () { BotonGuardarMON(); });
            $("#" + id + "_comision").on('input', function () { BotonGuardarMON(); });
            $("#" + id + "_decimales").on('input', function () { BotonGuardarMON(); });
            $("#" + id + "_convertible").on('change', function () { BotonGuardarMON(); });
            $("#" + id + "_facturable").prop("disabled", true).on('change', function () { BotonGuardarMON(); });
            $("#" + id + "_fecha_ult").on('input', function () { BotonGuardarMON(); });
            $("#" + id + "_refer_mone").on('change', function () { BotonGuardarMON(); });
            $("#" + id + "_eliminado").on('change', function () { BotonGuardarMON(); });
        }

        function EventsNewMON() {
            var id = jQuery('#jqgMON').jqGrid('getGridParam', 'selrow');
            $("#" + id + "_cod_mone").on('input', function () { BotonGuardarMON(); });
            $("#" + id + "_desc_mone").on('input', function () { BotonGuardarMON(); });
            $("#" + id + "_tasa").val('1.00000000').on('input', function () { BotonGuardarMON(); });
            $("#" + id + "_comision").val('0.00').on('input', function () { BotonGuardarMON(); });
            $("#" + id + "_decimales").val('2').on('input', function () { BotonGuardarMON(); });
            $("#" + id + "_convertible").prop("checked", true).on('change', function () { BotonGuardarMON(); });
            $("#" + id + "_facturable").prop("checked", true).on('change', function () { BotonGuardarMON(); });
            $("#" + id + "_fecha_ult").on('input', function () { BotonGuardarMON(); });
            $("#" + id + "_refer_mone").on('change', function () { BotonGuardarMON(); });
            $("#" + id + "_eliminado").on('change', function () { BotonGuardarMON(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridMON()
        {
            $("#jqgMON").jqGrid("setGridParam", {datatype: "json", datatype: GetMON, loadonce: true});
            $("#jqgMON").trigger("reloadGrid"); 
            $("#jqgMON").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateMON()
        {
            $('#IdSubElementMON').val(0);
            $("#jqgMON").jqGrid('addRow',{
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevoMON();
            EventsNewMON();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveMON(){
            var id = $("#jqgMON").jqGrid('getGridParam','selrow');
            if (id)	{
                PutMON(id, $('#' + id + '_cod_mone').val(), $('#' + id + '_desc_mone').val(), $('#' + id + '_tasa').val(), $('#' + id + '_comision').val(),
                    $('#' + id + '_decimales').val(), $('#' + id + "_convertible:checked").val(), $('#' + id + "_facturable:checked").val(), $('#' + id + '_fecha_ult').val(),
                    $('#' + id + '_refer_mone:checked').val(), 0);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteMON(){
            var id = $("#jqgMON").jqGrid('getGridParam','selrow');
            if (id) {
                PutMON(id, $('#' + id + '_cod_mone').val(), $('#' + id + '_desc_mone').val(), $('#' + id + '_tasa').val(), $('#' + id + '_comision').val(),
                    $('#' + id + '_decimales').val(), $('#' + id + '_convertible').val(), $('#' + id + '_facturable').val(), $('#' + id + '_fecha_ult').val(),
                    $('#' + id + '_refer_mone').val(), 1);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelMON(){
            var id = $("#jqgMON").jqGrid('getGridParam','selrow');
            if (id){
                $('#jqgMON').restoreRow(id);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultMON();
        }

        function BotonDefaultMON() {
            $('#btnNuevoMON').button('enable');
            $('#btnEliminarMON').button('disable');
            $('#btnGuardarMON').button('disable');
            $('#btnCancelarMON').button('disable');
        }

        function BotonNuevoMON() {
            $('#btnNuevoMON').button('disable');
            $('#btnEliminarMON').button('disable');
            $('#btnGuardarMON').button('disable');
            $('#btnCancelarMON').button('enable');
        }

        function BotonSelectMON() {
            $('#btnNuevoMON').button('enable');
            var id = $("#jqgMON").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarMON').button('enable');
            }
            else {
                $('#btnEliminarMON').button('disable');
            }
            $('#btnGuardarMON').button('disable');
            $('#btnCancelarMON').button('disable');
        }

        function BotonGuardarMON() {
            $('#btnNuevoMON').button('disable');
            $('#btnEliminarMON').button('disable');
            $('#btnGuardarMON').button('enable');
            $('#btnCancelarMON').button('enable');
        }

        /////////////// SPINER ///////////////////////

        $(function () {
            var spinner = $("#decimales").spinner();

            $("#disable").click(function () {
                if (spinner.spinner("option", "disabled")) {
                    spinner.spinner("enable");
                } else {
                    spinner.spinner("disable");
                }
            });
        });

        <% /* JS_FUN_BASE */%>

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=200&e=' + $('#cbEliminado:checked').val(), '_blank');
        }

        
    </script>

    <script type="text/javascript">

        <% /* JS_DOC */%>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            LoadGridMON();

            RefreshGridMON();

            $("#SevenMenu").accordion("option", "active", 2);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');
        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.open('Menu.aspx#M3', '_top');" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="../img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="Monedas.aspx"><%=L.TIT("Monedas") %> <%--[2.1]--%></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 700px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <% /* TIT */%>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("Monedas") %> <%--[2.1]--%></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultMON();RefreshGridMON();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/2-1-operaciones-sobre-folios/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="HabFEData">
                    </div>
                </div>

                <br />

               <input type="hidden" id="IdSubElementMON" value="0" />
                <table id="jqgMON"></table>

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="bsdataMonedas" value="Search" >
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/binocular.png" 
                                                           alt="<%=L.LBL("LblGENSearch") %>" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENSearch") %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevoMON" onclick="CreateMON();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENNew") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminarMON" onclick="DeleteMON();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img id="btnEliminarIconMON" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                    </td>
                                                    <td id="btnEliminarTextMON"><%=L.LBL("LblGENDelete") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarMON" onclick="SaveMON();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarMON" onclick="CancelMON();">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                        <td><%=L.LBL("LblGENCancel") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

