﻿<%@ Import Namespace="Seven.Management" %>
<%@ Import Namespace="Seven.Management.Globals" %>
<%@ Import Namespace="Seven.Management.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="ServidoresServicios.aspx.cs" Inherits="Seven.Management.ServidoresServicios" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("ServidoresServicios") %> <%--[2.1]--%></title>

    <script type="text/javascript">

    <% 
        
       /* 
        * 
        * Índice de Código 
        * 
        * JQ01 - Grid ServidorServicio
        * JQ02 - Grid Servidor
        * JQ03 - Grid Servicios
        * JQ04 - Otros
        * 
        * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
        * JS_DOC       - Funciones Javascript en Document.Ready()
        * 
        * DLG_VAR      - Diálogos Varios
        * 
        * TIT - Título
        * 
        * HH  - Hidden Hive - Almacen de datos en campos ocultos
        * 
        * B01 - Cuandro Información Principal
        * B02 - Formulario Principal OH
        * B03 - Zona Informativa 
        * 
        */
        
    %>

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* JQ01 */%>

        <% /* Código del jqGrid para ServidorServicio */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetSER() {
            $.ajax({
                url: 'Servicio.svc/GetServidorServicio',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try
                    {
                        $("#jqgSER").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                        var thegrid = $("#jqgSER")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgSER").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutSER(id, id_terminal, descripcion, remoteport, eliminado, eli) {
            $.ajax({
                url: 'Servicio.svc/PutServidorServicio',
                data: { "id_server": id, "id_terminal": id_terminal, "descripcion": descripcion, "remoteport": remoteport, "eliminado": eliminado
                , "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando2').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando2').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(eli == 1){
                            $('#IdSubElementSER').val(0);
                            BotonDefaultSER();
                            RefreshGridSER();
                        }
                        else
                        {
                            if(id > 0 || id < 0){
                                BotonDefaultSER();
                                RefreshGridSER();
                            }
                            else
                            {
                                $('#IdSubElementSER').val(res);
                                BotonDefaultSER();
                                RefreshGridSER();
                            }
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridSER() {
        
            var lselSER;
            var colMap = {};
            $("#jqgSER").jqGrid({
                datatype: 'local',
                height: 150,//255
                width: 700,
                colNames:  ['','<%=L.LBL("LblGENDescription") %>','<%=L.LBL("LblMANSERTerminales")%>','<%=L.LBL("LblMANSERPuertoRemoto")%>',''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'descripcion', index: 'descripcion', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'id_terminal', index: 'id_terminal', width: 5, editable: true,
                                formatter:'select', stype:'select', edittype:'select', 
                                editoptions: { <%=cbTerminales%> }, align: 'center'
                            },
                            {
                                name: 'remoteport', index: 'remoteport', width: 10, editable: true, searchoptions: { sopt: ListFindN },
                                editoptions: { dataEvents: [{ type: 'keypress', fn: function (e) { var key = e.charCode || e.keyCode; if ((key < 48 || key > 57)) { return false; } } }] }
                            },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselSER) && !isNaN(id))
                        {
                            $("#jqgSER").jqGrid('delRowData', lselSER);
                            //$('#jqgSER').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            $('#jqgSER').jqGrid('saveRow', id);
                            
                            var ret = jQuery("#jqgSER").jqGrid('getRowData',id); 

                            $('#jqgSER').jqGrid('restoreRow',lselSER);

                            $('#IdSubElementSER').val(ret.Id);
                        }
                        else
                        {
                            BotonNuevoSER();
                        }

                        $('#jqgSER').jqGrid('editRow', id, true, EventsSER);
                       
                        lselSER=id;
                    }
                    RefreshGridSERV();
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselSER))
                        {
                            $("#jqgSER").jqGrid('delRowData', lselSER);
                            $('#jqgSER').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgSER').jqGrid('saveRow',lselSER);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgSER').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgSER").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextSER').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconSER').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextSER').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconSER').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgSER').jqGrid('setSelection', id); 

                        BotonSelectSER();
                    }
                },
                gridComplete: function()
                {
                    //BotonDefaultSER();

                    var rows = $("#jqgSER").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        if(i == 0 && parseInt($('#IdSubElementSER').val()) == 0)
                        {
                            $('#IdSubElementSER').val($("#jqgSER").getCell(rows[i],"Id"));
                        }
                        var status  = $("#jqgSER").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgSER").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#jqgSER').jqGrid('setSelection', $('#IdSubElementSER').val());
                    if(parseInt($('#IdSubElementSER').val()) != 0)
                    {
                        BotonSelectSER();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl:"Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgSER").jqGrid('navGrid','#PaginadorServidorServicio',{del:false,add:false,edit:false,search:false});
            $("#bsdataServidorServicio").click(function(){ 
                jQuery("#jqgSER").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsSER(id) {
            $("#" + id + "_id_terminal").on('input', function () { BotonGuardarSER(); });
            $("#" + id + "_descripcion").on('input', function () { BotonGuardarSER(); });
            $("#" + id + "_remoteport").on('input', function () { BotonGuardarSER(); });
            $("#" + id + "_descterm").on('change', function () { BotonGuardarSER(); });
        }

        function EventsNewSER() {
            var id = jQuery('#jqgSER').jqGrid('getGridParam', 'selrow');
            $("#" + id + "_id_terminal").on('input', function () { BotonGuardarSER(); });
            $("#" + id + "_descripcion").on('input', function () { BotonGuardarSER(); });
            $("#" + id + "_remoteport").val(1001).on('input', function () { BotonGuardarSER(); });
            $("#" + id + "_descterm").on('change', function () { BotonGuardarSER(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridSER()
        {
            $("#jqgSER").jqGrid("setGridParam", {datatype: "json", datatype: GetSER, loadonce: true});
            $("#jqgSER").trigger("reloadGrid"); 
            $("#jqgSER").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateSER()
        {
            $('#IdSubElementSER').val(0);
            $("#jqgSER").jqGrid('addRow',{
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevoSER();
            EventsNewSER();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveSER(){
            var id = $("#jqgSER").jqGrid('getGridParam','selrow');
            if (id)	{
                PutSER(id, $('#' + id + '_id_terminal').val(), $('#' + id + '_descripcion').val(), $('#' + id + '_remoteport').val(), $('#' + id + '_descterm').val(), 0);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteSER(){
            var id = $("#jqgSER").jqGrid('getGridParam','selrow');
            if (id) {
                PutSER(id, $('#' + id + '_id_terminal').val(), $('#' + id + '_descripcion').val(), $('#' + id + '_remoteport').val(), $('#' + id + '_descterm').val(), 1);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }

            RefreshGridSERV();
            //RefreshGridSERC();

        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelSER(){
            var id = $("#jqgSER").jqGrid('getGridParam','selrow');
            if (id){
                $('#jqgSER').restoreRow(id);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultSER();
        }

        function BotonDefaultSER() {
            $('#btnNuevoSER').button('enable');
            $('#btnEliminarSER').button('disable');
            $('#btnGuardarSER').button('disable');
            $('#btnCancelarSER').button('disable');
        }

        function BotonNuevoSER() {
            $('#btnNuevoSER').button('disable');
            $('#btnEliminarSER').button('disable');
            $('#btnGuardarSER').button('disable');
            $('#btnCancelarSER').button('enable');
        }

        function BotonSelectSER() {
            $('#btnNuevoSER').button('enable');
            var id = $("#jqgSER").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarSER').button('enable');
            }
            else {
                $('#btnEliminarSER').button('disable');
            }
            $('#btnGuardarSER').button('disable');
            $('#btnCancelarSER').button('disable');
        }

        function BotonGuardarSER() {
            $('#btnNuevoSER').button('disable');
            $('#btnEliminarSER').button('disable');
            $('#btnGuardarSER').button('enable');
            $('#btnCancelarSER').button('enable');
        }

        <% /* JQ02 */%>

        <% /* Código del jqGrid para Servidor */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetSERV() {
            $.ajax({
                url: 'Servicio.svc/GetServidor',
                data: {"Server": $('#cbEliminado:checked').val(), "Datos": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando3').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando3').dialog('close');
                    try
                    {
                        $("#jqgSERV").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                        var thegrid = $("#jqgSERV")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgSERV").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridSERV() {
        
            var lselSERV;
            var colMap = {};
            $("#jqgSERV").jqGrid({
                datatype: 'local',
                height: 255,//255
                width: 200,//700
                colNames: ['', '<%=L.LBL("LblMANSERServidor")%>'],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'descripcion', index: 'descripcion', width: 10, editable: false, searchoptions: { sopt: ListFindN } },
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselSERV) && !isNaN(id))
                        {
                            $("#jqgSERV").jqGrid('delRowData', lselSERV);
                            //$('#jqgSERV').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            $('#jqgSERV').jqGrid('saveRow', id);
                            
                            var ret = jQuery("#jqgSERV").jqGrid('getRowData',id); 

                            $('#jqgSERV').jqGrid('restoreRow',lselSERV);

                            $('#IdSubElementSERV').val(ret.Id);
                        }
                        else
                        {
                            //BotonNuevoServicio();
                        }

                        $('#jqgSERV').jqGrid('editRow', id, true, EventsSERV);
                       
                        lselSERV=id;
                    }
                    RefreshGridSERC();
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselSERV))
                        {
                            $("#jqgSERV").jqGrid('delRowData', lselSERV);
                            $('#jqgSERV').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgSERV').jqGrid('saveRow',lselSERV);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgSERV').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgSERV").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        <%--if(status == "True")
                        { 
                            $('#btnEliminarTextServicio').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconServicio').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextServicio').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconServicio').attr("src", "img/cross-script.png");
                        }--%>

                        //$('#jqgSERC').jqGrid('setSelection', id); 

                        //BotonSelectServicio();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgSERV").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        if(i == 0 && parseInt($('#IdSubElementSERV').val()) == 0)
                        {
                            $('#IdSubElementSERV').val($("#jqgSERV").getCell(rows[i],"Id"));
                        }
                    }
                    $('#jqgSERV').jqGrid('setSelection', $('#IdSubElementSERV').val());
                    if(parseInt($('#IdSubElementSERV').val()) != 0)
                    {
                        //BotonSelectServicio();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl:"Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgSERC").jqGrid('navGrid','#PaginadorServicio',{del:false,add:false,edit:false,search:false});
            $("#bsdataServicio").click(function(){ 
                jQuery("#jqgSERV").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsSERV(id) {
            //$("#" + id + "_descripcion").prop("readonly",true);
            //$("#" + id + "_descripcion").click(function () { RefreshGridSERC(); });
            $("#" + id + "_descripcion").on('input', function () {  });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridSERV()
        {
            $("#jqgSERV").jqGrid("setGridParam", {datatype: "json", datatype: GetSERV, loadonce: true});
            $("#jqgSERV").trigger("reloadGrid"); 
            $("#jqgSERV").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* JQ03 */%>

                <% /* Código del jqGrid para Servicio */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetSERC() {
            $.ajax({
                url: 'Servicio.svc/GetServicios',
                data: {"Server": $('#IdSubElementSER').val(), "Datos": $('#IdSubElementSERV').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando4').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando4').dialog('close');
                    try
                    {
                        $("#jqgSERC").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                        var thegrid = $("#jqgSERC")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgSERC").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutSERC(Server, Datos, Serv, Auto, Manual) {
            $.ajax({
                url: 'Servicio.svc/PutServicios',
                data: {"Server": Server, "Datos": Datos, "Serv": Serv, "Auto": Auto, "Manual": Manual
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando5').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando5').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                       RefreshGridSERC();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridSERC() {
        
            var lselSERC;
            var colMap = {};
            $("#jqgSERC").jqGrid({
                datatype: 'local',
                height: 255,//255
                width: 500,//700
                colNames: ['', '<%=L.LBL("LblMANSERServicio")%>','<%=L.LBL("LblMANSERAutomatico")%>','<%=L.LBL("LblMANSERManual")%>'],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'descripcion', index: 'descripcion', width: 10, editable: false, searchoptions: { sopt: ListFindN } },
                            {
                                name: 'automatico', index: 'automatico', width: 10, editable: true,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                formatoptions: { disabled: true }, align: 'center'
                            }, 
                            {
                                name: 'manual', index: 'manual', width: 10, editable: true,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                formatoptions: { disabled: true }, align: 'center'
                            },
                            //{ name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselSERC) && !isNaN(id)) {
                            $("#jqgSERC").jqGrid('delRowData', lselSERC);
                            //$('#jqgSER').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgSERC').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgSERC").jqGrid('getRowData', id);

                            $('#jqgSERC').jqGrid('restoreRow', lselSERC);

                            $('#IdSubElementSERC').val(ret.Id);
                        }
                        else {
                            //BotonNuevoSER();
                        }

                        $('#jqgSERC').jqGrid('editRow', id, true, EventsSERC);

                        lselSERC = id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselSERC))
                        {
                            $("#jqgSERC").jqGrid('delRowData', lselSERC);
                            $('#jqgSERC').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgSERC').jqGrid('saveRow',lselSERC);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgSERC').jqGrid('restoreRow',id);
                        }

                        //$('#jqgSER').jqGrid('setSelection', id); 

                       // BotonSelectSERC();
                    }
                },
                gridComplete: function()
                {
                    var rows = $("#jqgSERC").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        if(i == 0 && parseInt($('#IdSubElementSERC').val()) == 0)
                        {
                            //$('#IdSubElementSERC').val($("#jqgSERC").getCell(rows[i],"Id"));
                        }
                        var status  = $("#jqgSERC").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgSERC").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#jqgSERC').jqGrid('setSelection', $('#IdSubElementSERC').val());
                    if(parseInt($('#IdSubElementSERC').val()) != 0)
                    {
                        //BotonSelectSERC();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl:"Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgSERC").jqGrid('navGrid','#PaginadorServicio',{del:false,add:false,edit:false,search:false});
            $("#bsdataServicio").click(function(){ 
                jQuery("#jqgSERC").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsSERC(id) {
            $("#" + id + "_descripcion").on('input', function () { });
            $("#" + id + "_automatico").on('change', function () { SaveSERC(); });
            $("#" + id + "_manual").on('change', function () { SaveSERC(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridSERC()
        {
            $("#jqgSERC").jqGrid("setGridParam", {datatype: "json", datatype: GetSERC, loadonce: true});
            $("#jqgSERC").trigger("reloadGrid"); 
            $("#jqgSERC").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveSERC(){
            var id = $("#jqgSERC").jqGrid('getGridParam','selrow');
            if (id)	{
                PutSERC($('#IdSubElementSER').val(), $('#IdSubElementSERV').val(), id, $('#' + id + '_automatico:checked').val(), $('#' + id + '_manual:checked').val());
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }


        <% /* JQ04 */%>



        <% /* JS_FUN_BASE */%>

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=230&e=' + $('#cbEliminado:checked').val(), '_blank');
        }

        
    </script>

    <script type="text/javascript">

        <% /* JS_DOC */%>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            LoadGridSER();

            RefreshGridSER();

            LoadGridSERV();

            LoadGridSERC();

            $("#SevenMenu").accordion("option", "active", 2);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');
        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.open('Menu.aspx#M3', '_top');" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="../img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="ServidoresServicios.aspx"><%=L.TIT("ServidoresServicios") %> <%--[2.1]--%></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 700px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <% /* TIT */%>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("ServidoresServicios") %> <%--[2.1]--%></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/2-1-operaciones-sobre-folios/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="HabFEData">
                    </div>
                </div>

                <br />

                <input type="hidden" id="IdSubElementSER" value="0" />
                <table id="jqgSER"></table>

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="bsdataServidorServicio" value="Search" >
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/binocular.png" 
                                                           alt="<%=L.LBL("LblGENSearch") %>" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENSearch") %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevoSER" onclick="CreateSER();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENNew") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminarSER" onclick="DeleteSER();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img id="btnEliminarIconSER" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                    </td>
                                                    <td id="btnEliminarTextSER"><%=L.LBL("LblGENDelete") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarSER" onclick="SaveSER();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarSER" onclick="CancelSER();">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                        <td><%=L.LBL("LblGENCancel") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <table>
                    <tr>
                        <td>
                            <input type="hidden" id="IdSubElementSERV" value="0" />
                            <table id="jqgSERV"></table>
                        </td>
                        <td>
                            <input type="hidden" id="IdSubElementSERC" value="0" />
                            <table id="jqgSERC"></table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

